| Home | Libraries | People | FAQ | More

## Struct first

boost::xpressive::op::first

## Synopsis

    struct first {
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Pair>
      struct result<This(Pair)> {
      };

      // public member functions
      template<typename Pair> Pair::first_type operator()(Pair const &) const;
    };

## Description

### `first` public member functions

1.     template<typename Pair> Pair::first_type operator()(Pair const & p) const;